import { EChartsCoreOption } from 'echarts/core';
import { EChartsInitOpts } from 'echarts/core';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import { SetOptionOpts } from 'echarts/core';

declare const ECharts: <Opt extends EChartsCoreOption>({ option, initOptions, updateOptions, loadingOptions, loading, theme, className, style, }: EChartsProps<Opt>) => JSX_2.Element;
export default ECharts;

declare interface EChartsProps<Opt> {
    option: Opt;
    theme?: string | object;
    initOptions?: EChartsInitOpts;
    updateOptions?: SetOptionOpts;
    loadingOptions?: object;
    loading?: boolean;
    className?: string;
    style?: React.CSSProperties;
}

export { }
